package com.sinosig.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [ORG] 对象
 */
public interface IORG {

    /**
     * 获取 []
     */
    public void setORGId(String oRGId);
    
    /**
     * 设置 []
     */
    public String getORGId();

    /**
     * 获取 []脏标记
     */
    public boolean getORGIdDirtyFlag();
    /**
     * 获取 []
     */
    public void setORGName(String oRGName);
    
    /**
     * 设置 []
     */
    public String getORGName();

    /**
     * 获取 []脏标记
     */
    public boolean getORGNameDirtyFlag();
    /**
     * 获取 []
     */
    public void setPorgid(String porgid);
    
    /**
     * 设置 []
     */
    public String getPorgid();

    /**
     * 获取 []脏标记
     */
    public boolean getPorgidDirtyFlag();
    /**
     * 获取 []
     */
    public void setPorgname(String porgname);
    
    /**
     * 设置 []
     */
    public String getPorgname();

    /**
     * 获取 []脏标记
     */
    public boolean getPorgnameDirtyFlag();
}
